# coding: utf-8

"""
    Form Service API

    A list of form and Xaas APIs.  This page describes the RESTful APIs for Form Service. The APIs facilitate CRUD operations on the various resources and entities used throughout Form service (Custom Resource , Form Definition etc.) and allow operations on them (creating custom resource type , fetch form status etc.).  Some of the APIs that list collections of resources also support OData like implementation. Below query params can be used across Form and XaaS entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/form-service/api/custom/resource-types?$orderby=name%20DESC```  2. `page`, `size` - page used in conjunction with `size` helps in pagination of resources.      ```/form-service/api/custom/resource-types?page=0&size=20```   # noqa: E501

    OpenAPI spec version: 1.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class FormExtValueSourceSearchResponseInputParameters(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'param_name': 'str',
        'param_type': 'FormserviceapiformsrendererexternalvaluesFieldType'
    }

    attribute_map = {
        'param_name': 'paramName',
        'param_type': 'paramType'
    }

    def __init__(self, param_name=None, param_type=None):  # noqa: E501
        """FormExtValueSourceSearchResponseInputParameters - a model defined in Swagger"""  # noqa: E501
        self._param_name = None
        self._param_type = None
        self.discriminator = None
        if param_name is not None:
            self.param_name = param_name
        if param_type is not None:
            self.param_type = param_type

    @property
    def param_name(self):
        """Gets the param_name of this FormExtValueSourceSearchResponseInputParameters.  # noqa: E501


        :return: The param_name of this FormExtValueSourceSearchResponseInputParameters.  # noqa: E501
        :rtype: str
        """
        return self._param_name

    @param_name.setter
    def param_name(self, param_name):
        """Sets the param_name of this FormExtValueSourceSearchResponseInputParameters.


        :param param_name: The param_name of this FormExtValueSourceSearchResponseInputParameters.  # noqa: E501
        :type: str
        """

        self._param_name = param_name

    @property
    def param_type(self):
        """Gets the param_type of this FormExtValueSourceSearchResponseInputParameters.  # noqa: E501


        :return: The param_type of this FormExtValueSourceSearchResponseInputParameters.  # noqa: E501
        :rtype: FormserviceapiformsrendererexternalvaluesFieldType
        """
        return self._param_type

    @param_type.setter
    def param_type(self, param_type):
        """Sets the param_type of this FormExtValueSourceSearchResponseInputParameters.


        :param param_type: The param_type of this FormExtValueSourceSearchResponseInputParameters.  # noqa: E501
        :type: FormserviceapiformsrendererexternalvaluesFieldType
        """

        self._param_type = param_type

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(FormExtValueSourceSearchResponseInputParameters, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, FormExtValueSourceSearchResponseInputParameters):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
